\name{BasicSOAPType-class}
\docType{class}
\alias{BasicSOAPType-class}
\alias{SOAPType-class}
\alias{SOAPTypeReference-class}
\alias{SOAPVoidType-class}
\alias{SOAPTypeOrList-class}
\alias{SOAPTypeOrNULL-class}
\alias{NMTOKEN-class}
\alias{positiveInteger-class}

\alias{as.SOAPDateTime}
\alias{as.SOAPDate}
\title{Class "SOAPType" }
\description{
  This collection of classes is used to represent the different
  types in an XML schema.

  Note that the names will change to refer to schema types rather than
  SOAP types. The SOAP reference is related to the fact that the code
  was originally in the \code{SSOAP} package.
}
\section{Objects from the Class}{
  One can use these classes directly to represent your own
  types and construct them directly within R.
  However, for the most part, instances of these classes will
  be created by processing an XML schema via
  \code{\link{readSchema}} and/or \code{\link{processSchemaTypes}}.
}
\section{Slots}{
	 \describe{
    \item{\code{fromConverter}:}{Object of class \code{"function"} ~~ }
    \item{\code{toConverter}:}{Object of class \code{"function"} ~~ }
    \item{\code{name}:}{Object of class \code{"character"} ~~ }
    \item{\code{ns}:}{Object of class \code{"character"} ~~ }
    \item{\code{nsuri}:}{Object of class \code{"character"} ~~ }
    \item{\code{count}:}{Object of class \code{"numeric"} ~~ }
  }
}
\section{Extends}{
Class \code{"\linkS4class{SOAPType}"}, directly.
Class \code{"\linkS4class{SOAPTypeOrList}"}, by class "SOAPType", distance 2.
Class \code{"\linkS4class{SOAPTypeOrNULL}"}, by class "SOAPType", distance 2.
}
\section{Methods}{
No methods defined with class "BasicSOAPType" in the signature.
}
\references{
}
\author{Duncan Temple Lang}

\seealso{
  \code{\link{readSchema}}
  \code{\link{processSchemaTypes}}.
}
\examples{
showClass("BasicSOAPType")
}
\keyword{classes}
